Bug 1046760 - [RFE][nova]: ThinProvision:Shrink the volume when file in the instance was deleted
Summary: [RFE][nova]: ThinProvision:Shrink the volume when file in the instance was de...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Ami Jeain
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 23:02 UTC by RHOS Integration
Modified: 2019-09-09 16:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:08:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2013-12-26 23:02:26 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/shrink-volume-in-thin-provisoning.

Description:

Thin provision means allocating the disk space once the instance writes the data on the area of volume in the first time. 

However, if the files in the instance were deleted, thin provision could not deal with this situation. The space that was allocated by the files could not be released. 

So it is necessary to shrink the volume periodically when the files are deleted in the instance.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.